org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideURL

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideURL

-     public final class StreetsideURL
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreetsideURL.APIv3`
    `static class` | `StreetsideURL.MainWebsite`
    `static class` | `StreetsideURL.VirtualEarth`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `BASE_API_V2_URL`
    `private static String` | `BING_MAPS_KEY`
    `private static String` | `CLIENT_ID`
    `private static int` | `OSM_BBOX_NORTH`
    `private static int` | `OSM_BBOX_SOUTH`
    `private static int` | `OSM_BBOX_WEST`
    `private static int` | `OSM_BBOXEAST`
    `private static String` | `STREETSIDE_BASE_URL` Base URL of the Bing Bubble API.
    `private static String` | `STREETSIDE_PRIVACY_URL`
    `private static String` | `TEST_BUBBLE_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `StreetsideURL()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static String` | `queryByIdString(Map<String,String> parts)`
    `(package private) static String` | `queryStreetsideBoundsString(Map<String,String> parts)`
    `(package private) static String` | `queryString(Map<String,String> parts)` Builds a query string from it's parts that are supplied as a `Map`
    `(package private) static URL` | `string2URL(String... strings)` Converts a `String` into a `URL` without throwing a `MalformedURLException`.
    `static URL[]` | `string2URLs(String baseUrlPrefix, String cubemapImageId, String baseUrlSuffix)`
    `static URL` | `uploadSecretsURL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREETSIDE_BASE_URL

          private static final String STREETSIDE_BASE_URL

      Base URL of the Bing Bubble API.
      See Also:
        Constant Field Values

    - #### BASE_API_V2_URL

          private static final String BASE_API_V2_URL

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          private static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### BING_MAPS_KEY

          private static final String BING_MAPS_KEY

      See Also:
        Constant Field Values

    - #### TEST_BUBBLE_ID

          private static final String TEST_BUBBLE_ID

      See Also:
        Constant Field Values

    - #### STREETSIDE_PRIVACY_URL

          private static final String STREETSIDE_PRIVACY_URL

      See Also:
        Constant Field Values

    - #### OSM_BBOX_NORTH

          private static final int OSM_BBOX_NORTH

      See Also:
        Constant Field Values

    - #### OSM_BBOX_SOUTH

          private static final int OSM_BBOX_SOUTH

      See Also:
        Constant Field Values

    - #### OSM_BBOXEAST

          private static final int OSM_BBOXEAST

      See Also:
        Constant Field Values

    - #### OSM_BBOX_WEST

          private static final int OSM_BBOX_WEST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreetsideURL

          private StreetsideURL()

  - ### Method Detail

    - #### string2URLs

          public static URL[] string2URLs(String baseUrlPrefix,
                                          String cubemapImageId,
                                          String baseUrlSuffix)

    - #### uploadSecretsURL

          public static URL uploadSecretsURL()

      Returns:
        the URL where you'll find the upload secrets as JSON

    - #### queryString

          static String queryString(Map<String,String> parts)

      Builds a query string from it's parts that are supplied as a `Map`
      Parameters:
        `parts` - the parts of the query string
      Returns:
        the constructed query string (including a leading ?)

    - #### queryStreetsideBoundsString

          static String queryStreetsideBoundsString(Map<String,String> parts)

    - #### queryByIdString

          static String queryByIdString(Map<String,String> parts)

    - #### string2URL

          static URL string2URL(String... strings)

      Converts a `String` into a `URL` without throwing a `MalformedURLException`. Instead such an exception will lead to an `Logging.error(Throwable)`. So you should be very confident that your URL is well-formed when calling this method.
      Parameters:
        `strings` - the Strings describing the URL
      Returns:
        the URL that is constructed from the given string

JOSM Plugins